xine-lib: xine-lib-1.2.13/src/libw32dll/DirectShow/inputpin.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Functions | Variables
inputpin.c File Reference
`#include "inputpin.h"`
`#include "../wine/winerror.h"`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdlib.h>`

## Data Structures
struct | CEnumPins

## Functions
static int | unimplemented (const char *s, void *p)
static long STDCALL | CEnumPins_Next (IEnumPins *This, unsigned long cMediaTypes, IPin **ppMediaTypes, unsigned long *pcFetched)
static long STDCALL | CEnumPins_Skip (IEnumPins *This, unsigned long cMediaTypes)
static long STDCALL | CEnumPins_Reset (IEnumPins *This)
static long STDCALL | CEnumPins_Clone (IEnumPins *This, IEnumPins **ppEnum)
static void | CEnumPins_Destroy (CEnumPins *This)
static long STDCALL | CEnumPins_QueryInterface (IUnknown *This, const GUID *riid, void **ppvObject)
static long STDCALL | CEnumPins_AddRef (IUnknown *This)
static long STDCALL | CEnumPins_Release (IUnknown *This)
static CEnumPins * | CEnumPinsCreate (IPin *p, IPin *pp)
static long STDCALL | CInputPin_Connect (IPin *This, IPin *pReceivePin, AM_MEDIA_TYPE *pmt)
static long STDCALL | CInputPin_ReceiveConnection (IPin *This, IPin *pConnector, const AM_MEDIA_TYPE *pmt)
static long STDCALL | CInputPin_Disconnect (IPin *This)
static long STDCALL | CInputPin_ConnectedTo (IPin *This, IPin **pPin)
static long STDCALL | CInputPin_ConnectionMediaType (IPin *This, AM_MEDIA_TYPE *pmt)
static long STDCALL | CInputPin_QueryPinInfo (IPin *This, PIN_INFO *pInfo)
static long STDCALL | CInputPin_QueryDirection (IPin *This, PIN_DIRECTION *pPinDir)
static long STDCALL | CInputPin_QueryId (IPin *This, unsigned short **Id)
static long STDCALL | CInputPin_QueryAccept (IPin *This, const AM_MEDIA_TYPE *pmt)
static long STDCALL | CInputPin_EnumMediaTypes (IPin *This, IEnumMediaTypes **ppEnum)
static long STDCALL | CInputPin_QueryInternalConnections (IPin *This, IPin **apPin, unsigned long *nPin)
static long STDCALL | CInputPin_EndOfStream (IPin *This)
static long STDCALL | CInputPin_BeginFlush (IPin *This)
static long STDCALL | CInputPin_EndFlush (IPin *This)
static long STDCALL | CInputPin_NewSegment (IPin *This, REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)
static void | CInputPin_Destroy (CInputPin *This)
static long STDCALL | CInputPin_QueryInterface (IUnknown *This, const GUID *riid, void **ppvObject)
static long STDCALL | CInputPin_AddRef (IUnknown *This)
static long STDCALL | CInputPin_Release (IUnknown *This)
CInputPin * | CInputPinCreate (CBaseFilter *p, const AM_MEDIA_TYPE *amt)
static long STDCALL | CBaseFilter_GetClassID (IBaseFilter *This, CLSID *pClassID)
static long STDCALL | CBaseFilter_Stop (IBaseFilter *This)
static long STDCALL | CBaseFilter_Pause (IBaseFilter *This)
static long STDCALL | CBaseFilter_Run (IBaseFilter *This, REFERENCE_TIME tStart)
static long STDCALL | CBaseFilter_GetState (IBaseFilter *This, unsigned long dwMilliSecsTimeout, void *State)
static long STDCALL | CBaseFilter_SetSyncSource (IBaseFilter *This, IReferenceClock *pClock)
static long STDCALL | CBaseFilter_GetSyncSource (IBaseFilter *This, IReferenceClock **pClock)
static long STDCALL | CBaseFilter_EnumPins (IBaseFilter *This, IEnumPins **ppEnum)
static long STDCALL | CBaseFilter_FindPin (IBaseFilter *This, const unsigned short *Id, IPin **ppPin)
static long STDCALL | CBaseFilter_QueryFilterInfo (IBaseFilter *This, void *pInfo)
static long STDCALL | CBaseFilter_JoinFilterGraph (IBaseFilter *This, IFilterGraph *pGraph, const unsigned short *pName)
static long STDCALL | CBaseFilter_QueryVendorInfo (IBaseFilter *This, unsigned short **pVendorInfo)
static IPin * | CBaseFilter_GetPin (CBaseFilter *This)
static IPin * | CBaseFilter_GetUnusedPin (CBaseFilter *This)
static void | CBaseFilter_Destroy (CBaseFilter *This)
static long STDCALL | CBaseFilter_QueryInterface (IUnknown *This, const GUID *riid, void **ppvObject)
static long STDCALL | CBaseFilter_AddRef (IUnknown *This)
static long STDCALL | CBaseFilter_Release (IUnknown *This)
CBaseFilter * | CBaseFilterCreate (const AM_MEDIA_TYPE *type, CBaseFilter2 *parent)
static long STDCALL | CBaseFilter2_GetClassID (IBaseFilter *This, CLSID *pClassID)
static long STDCALL | CBaseFilter2_Stop (IBaseFilter *This)
static long STDCALL | CBaseFilter2_Pause (IBaseFilter *This)
static long STDCALL | CBaseFilter2_Run (IBaseFilter *This, REFERENCE_TIME tStart)
static long STDCALL | CBaseFilter2_GetState (IBaseFilter *This, unsigned long dwMilliSecsTimeout, void *State)
static long STDCALL | CBaseFilter2_SetSyncSource (IBaseFilter *This, IReferenceClock *pClock)
static long STDCALL | CBaseFilter2_GetSyncSource (IBaseFilter *This, IReferenceClock **pClock)
static long STDCALL | CBaseFilter2_EnumPins (IBaseFilter *This, IEnumPins **ppEnum)
static long STDCALL | CBaseFilter2_FindPin (IBaseFilter *This, const unsigned short *Id, IPin **ppPin)
static long STDCALL | CBaseFilter2_QueryFilterInfo (IBaseFilter *This, void *pInfo)
static long STDCALL | CBaseFilter2_JoinFilterGraph (IBaseFilter *This, IFilterGraph *pGraph, const unsigned short *pName)
static long STDCALL | CBaseFilter2_QueryVendorInfo (IBaseFilter *This, unsigned short **pVendorInfo)
static IPin * | CBaseFilter2_GetPin (CBaseFilter2 *This)
static void | CBaseFilter2_Destroy (CBaseFilter2 *This)
static long STDCALL | CBaseFilter2_QueryInterface (IUnknown *This, const GUID *riid, void **ppvObject)
static long STDCALL | CBaseFilter2_AddRef (IUnknown *This)
static long STDCALL | CBaseFilter2_Release (IUnknown *This)
CBaseFilter2 * | CBaseFilter2Create ()
static long STDCALL | CRemotePin_ConnectedTo (IPin *This, IPin **pPin)
static long STDCALL | CRemotePin_QueryDirection (IPin *This, PIN_DIRECTION *pPinDir)
static long STDCALL | CRemotePin_ConnectionMediaType (IPin *This, AM_MEDIA_TYPE *pmt)
static long STDCALL | CRemotePin_QueryPinInfo (IPin *This, PIN_INFO *pInfo)
static void | CRemotePin_Destroy (CRemotePin *This)
static long STDCALL | CRemotePin_QueryInterface (IUnknown *This, const GUID *riid, void **ppvObject)
static long STDCALL | CRemotePin_AddRef (IUnknown *This)
static long STDCALL | CRemotePin_Release (IUnknown *This)
CRemotePin * | CRemotePinCreate (CBaseFilter *pt, IPin *rpin)
static long STDCALL | CRemotePin2_QueryPinInfo (IPin *This, PIN_INFO *pInfo)
static void | CRemotePin2_Destroy (CRemotePin2 *This)
static long STDCALL | CRemotePin2_QueryInterface (IUnknown *This, const GUID *riid, void **ppvObject)
static long STDCALL | CRemotePin2_AddRef (IUnknown *This)
static long STDCALL | CRemotePin2_Release (IUnknown *This)
CRemotePin2 * | CRemotePin2Create (CBaseFilter2 *p)

## Variables
static GUID | CBaseFilter2_interf1
static GUID | CBaseFilter2_interf2
static GUID | CBaseFilter2_interf3

## Function Documentation

## ◆ CBaseFilter2_AddRef()

static long STDCALL CBaseFilter2_AddRef | ( | IUnknown * | This | ) |
| static

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_Destroy()

static void CBaseFilter2_Destroy | ( | CBaseFilter2 * | This | ) |
| static

References Debug, _CBaseFilter2::pin, IPin_vt::Release, _CBaseFilter2::vt, and _IPin::vt.

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_EnumPins()

static long STDCALL CBaseFilter2_EnumPins | ( | IBaseFilter * | This,
|  | IEnumPins ** | ppEnum )
| static

References CEnumPinsCreate(), and Debug.

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_FindPin()

static long STDCALL CBaseFilter2_FindPin | ( | IBaseFilter * | This,
|  | const unsigned short * | Id,
|  | IPin ** | ppPin )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_GetClassID()

static long STDCALL CBaseFilter2_GetClassID | ( | IBaseFilter * | This,
|  | CLSID * | pClassID )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_GetPin()

static IPin * CBaseFilter2_GetPin | ( | CBaseFilter2 * | This | ) |
| static

References _CBaseFilter2::pin.

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_GetState()

static long STDCALL CBaseFilter2_GetState | ( | IBaseFilter * | This,
|  | unsigned long | dwMilliSecsTimeout,
|  | void * | State )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_GetSyncSource()

static long STDCALL CBaseFilter2_GetSyncSource | ( | IBaseFilter * | This,
|  | IReferenceClock ** | pClock )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_JoinFilterGraph()

static long STDCALL CBaseFilter2_JoinFilterGraph | ( | IBaseFilter * | This,
|  | IFilterGraph * | pGraph,
|  | const unsigned short * | pName )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_Pause()

static long STDCALL CBaseFilter2_Pause | ( | IBaseFilter * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_QueryFilterInfo()

static long STDCALL CBaseFilter2_QueryFilterInfo | ( | IBaseFilter * | This,
|  | void * | pInfo )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_QueryInterface()

static long STDCALL CBaseFilter2_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | riid,
|  | void ** | ppvObject )
| static

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_QueryVendorInfo()

static long STDCALL CBaseFilter2_QueryVendorInfo | ( | IBaseFilter * | This,
|  | unsigned short ** | pVendorInfo )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_Release()

static long STDCALL CBaseFilter2_Release | ( | IUnknown * | This | ) |
| static

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_Run()

static long STDCALL CBaseFilter2_Run | ( | IBaseFilter * | This,
|  | REFERENCE_TIME | tStart )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_SetSyncSource()

static long STDCALL CBaseFilter2_SetSyncSource | ( | IBaseFilter * | This,
|  | IReferenceClock * | pClock )
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_Stop()

static long STDCALL CBaseFilter2_Stop | ( | IBaseFilter * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2Create()

CBaseFilter2 * CBaseFilter2Create | ( | void |  | ) |

References IBaseFilter_vt::AddRef, CBaseFilter2_AddRef(), CBaseFilter2_Destroy(), CBaseFilter2_EnumPins(), CBaseFilter2_FindPin(), CBaseFilter2_GetClassID(), CBaseFilter2_GetPin(), CBaseFilter2_GetState(), CBaseFilter2_GetSyncSource(), CBaseFilter2_interf1, CBaseFilter2_interf2, CBaseFilter2_interf3, CBaseFilter2_JoinFilterGraph(), CBaseFilter2_Pause(), CBaseFilter2_QueryFilterInfo(), CBaseFilter2_QueryInterface(), CBaseFilter2_QueryVendorInfo(), CBaseFilter2_Release(), CBaseFilter2_Run(), CBaseFilter2_SetSyncSource(), CBaseFilter2_Stop(), CRemotePin2Create(), IBaseFilter_vt::EnumPins, IBaseFilter_vt::FindPin, IBaseFilter_vt::GetClassID, _CBaseFilter2::GetPin, IBaseFilter_vt::GetState, IBaseFilter_vt::GetSyncSource, IID_IBaseFilter, _CBaseFilter2::interfaces, IBaseFilter_vt::JoinFilterGraph, NULL, IBaseFilter_vt::Pause, _CBaseFilter2::pin, IBaseFilter_vt::QueryFilterInfo, IBaseFilter_vt::QueryInterface, IBaseFilter_vt::QueryVendorInfo, _CBaseFilter2::refcount, IBaseFilter_vt::Release, IBaseFilter_vt::Run, IBaseFilter_vt::SetSyncSource, IBaseFilter_vt::Stop, and _CBaseFilter2::vt.

Referenced by DS_FilterCreate().

## ◆ CBaseFilter_AddRef()

static long STDCALL CBaseFilter_AddRef | ( | IUnknown * | This | ) |
| static

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_Destroy()

static void CBaseFilter_Destroy | ( | CBaseFilter * | This | ) |
| static

References _CBaseFilter::pin, IPin_vt::Release, _CBaseFilter::unused_pin, _CBaseFilter::vt, and _IPin::vt.

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_EnumPins()

static long STDCALL CBaseFilter_EnumPins | ( | IBaseFilter * | This,
|  | IEnumPins ** | ppEnum )
| static

References CEnumPinsCreate(), and Debug.

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_FindPin()

static long STDCALL CBaseFilter_FindPin | ( | IBaseFilter * | This,
|  | const unsigned short * | Id,
|  | IPin ** | ppPin )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_GetClassID()

static long STDCALL CBaseFilter_GetClassID | ( | IBaseFilter * | This,
|  | CLSID * | pClassID )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_GetPin()

static IPin * CBaseFilter_GetPin | ( | CBaseFilter * | This | ) |
| static

References _CBaseFilter::pin.

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_GetState()

static long STDCALL CBaseFilter_GetState | ( | IBaseFilter * | This,
|  | unsigned long | dwMilliSecsTimeout,
|  | void * | State )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_GetSyncSource()

static long STDCALL CBaseFilter_GetSyncSource | ( | IBaseFilter * | This,
|  | IReferenceClock ** | pClock )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_GetUnusedPin()

static IPin * CBaseFilter_GetUnusedPin | ( | CBaseFilter * | This | ) |
| static

References _CBaseFilter::unused_pin.

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_JoinFilterGraph()

static long STDCALL CBaseFilter_JoinFilterGraph | ( | IBaseFilter * | This,
|  | IFilterGraph * | pGraph,
|  | const unsigned short * | pName )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_Pause()

static long STDCALL CBaseFilter_Pause | ( | IBaseFilter * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_QueryFilterInfo()

static long STDCALL CBaseFilter_QueryFilterInfo | ( | IBaseFilter * | This,
|  | void * | pInfo )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_QueryInterface()

static long STDCALL CBaseFilter_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | riid,
|  | void ** | ppvObject )
| static

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_QueryVendorInfo()

static long STDCALL CBaseFilter_QueryVendorInfo | ( | IBaseFilter * | This,
|  | unsigned short ** | pVendorInfo )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_Release()

static long STDCALL CBaseFilter_Release | ( | IUnknown * | This | ) |
| static

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_Run()

static long STDCALL CBaseFilter_Run | ( | IBaseFilter * | This,
|  | REFERENCE_TIME | tStart )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_SetSyncSource()

static long STDCALL CBaseFilter_SetSyncSource | ( | IBaseFilter * | This,
|  | IReferenceClock * | pClock )
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilter_Stop()

static long STDCALL CBaseFilter_Stop | ( | IBaseFilter * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CBaseFilterCreate().

## ◆ CBaseFilterCreate()

CBaseFilter * CBaseFilterCreate | ( | const AM_MEDIA_TYPE * | type,
|  | CBaseFilter2 * | parent )

References IBaseFilter_vt::AddRef, CBaseFilter_AddRef(), CBaseFilter_Destroy(), CBaseFilter_EnumPins(), CBaseFilter_FindPin(), CBaseFilter_GetClassID(), CBaseFilter_GetPin(), CBaseFilter_GetState(), CBaseFilter_GetSyncSource(), CBaseFilter_GetUnusedPin(), CBaseFilter_JoinFilterGraph(), CBaseFilter_Pause(), CBaseFilter_QueryFilterInfo(), CBaseFilter_QueryInterface(), CBaseFilter_QueryVendorInfo(), CBaseFilter_Release(), CBaseFilter_Run(), CBaseFilter_SetSyncSource(), CBaseFilter_Stop(), CInputPinCreate(), CRemotePinCreate(), IBaseFilter_vt::EnumPins, IBaseFilter_vt::FindPin, IBaseFilter_vt::GetClassID, _CBaseFilter::GetPin, IBaseFilter_vt::GetState, IBaseFilter_vt::GetSyncSource, _CBaseFilter::GetUnusedPin, IID_IBaseFilter, _CBaseFilter::interfaces, IBaseFilter_vt::JoinFilterGraph, NULL, IBaseFilter_vt::Pause, _CBaseFilter::pin, IBaseFilter_vt::QueryFilterInfo, IBaseFilter_vt::QueryInterface, IBaseFilter_vt::QueryVendorInfo, _CBaseFilter::refcount, IBaseFilter_vt::Release, IBaseFilter_vt::Run, IBaseFilter_vt::SetSyncSource, IBaseFilter_vt::Stop, type, _CBaseFilter::unused_pin, and _CBaseFilter::vt.

Referenced by DS_FilterCreate().

## ◆ CEnumPins_AddRef()

static long STDCALL CEnumPins_AddRef | ( | IUnknown * | This | ) |
| static

Referenced by CEnumPinsCreate().

## ◆ CEnumPins_Clone()

static long STDCALL CEnumPins_Clone | ( | IEnumPins * | This,
|  | IEnumPins ** | ppEnum )
| static

References Debug, and unimplemented().

Referenced by CEnumPinsCreate().

## ◆ CEnumPins_Destroy()

static void CEnumPins_Destroy | ( | CEnumPins * | This | ) |
| static

References CEnumPins::vt.

## ◆ CEnumPins_Next()

static long STDCALL CEnumPins_Next | ( | IEnumPins * | This,
|  | unsigned long | cMediaTypes,
|  | IPin ** | ppMediaTypes,
|  | unsigned long * | pcFetched )
| static

References IPin_vt::AddRef, CEnumPins::counter, Debug, CEnumPins::pin1, CEnumPins::pin2, and _IPin::vt.

Referenced by CEnumPinsCreate().

## ◆ CEnumPins_QueryInterface()

static long STDCALL CEnumPins_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | riid,
|  | void ** | ppvObject )
| static

Referenced by CEnumPinsCreate().

## ◆ CEnumPins_Release()

static long STDCALL CEnumPins_Release | ( | IUnknown * | This | ) |
| static

Referenced by CEnumPinsCreate().

## ◆ CEnumPins_Reset()

static long STDCALL CEnumPins_Reset | ( | IEnumPins * | This | ) |
| static

References Debug.

Referenced by CEnumPinsCreate().

## ◆ CEnumPins_Skip()

static long STDCALL CEnumPins_Skip | ( | IEnumPins * | This,
|  | unsigned long | cMediaTypes )
| static

References Debug, and unimplemented().

Referenced by CEnumPinsCreate().

## ◆ CEnumPinsCreate()

static CEnumPins * CEnumPinsCreate | ( | IPin * | p,
|  | IPin * | pp )
| static

References IEnumPins_vt::AddRef, CEnumPins_AddRef(), CEnumPins_Clone(), CEnumPins_Next(), CEnumPins_QueryInterface(), CEnumPins_Release(), CEnumPins_Reset(), CEnumPins_Skip(), IEnumPins_vt::Clone, CEnumPins::counter, IID_IEnumPins, CEnumPins::interfaces, IEnumPins_vt::Next, NULL, CEnumPins::pin1, CEnumPins::pin2, IEnumPins_vt::QueryInterface, CEnumPins::refcount, IEnumPins_vt::Release, IEnumPins_vt::Reset, IEnumPins_vt::Skip, and CEnumPins::vt.

Referenced by CBaseFilter2_EnumPins(), and CBaseFilter_EnumPins().

## ◆ CInputPin_AddRef()

static long STDCALL CInputPin_AddRef | ( | IUnknown * | This | ) |
| static

Referenced by CInputPinCreate().

## ◆ CInputPin_BeginFlush()

static long STDCALL CInputPin_BeginFlush | ( | IPin * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_Connect()

static long STDCALL CInputPin_Connect | ( | IPin * | This,
|  | IPin * | pReceivePin,
|  | AM_MEDIA_TYPE * | pmt )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_ConnectedTo()

static long STDCALL CInputPin_ConnectedTo | ( | IPin * | This,
|  | IPin ** | pPin )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_ConnectionMediaType()

static long STDCALL CInputPin_ConnectionMediaType | ( | IPin * | This,
|  | AM_MEDIA_TYPE * | pmt )
| static

References Debug.

Referenced by CInputPinCreate().

## ◆ CInputPin_Destroy()

static void CInputPin_Destroy | ( | CInputPin * | This | ) |
| static

References CInputPin::vt.

## ◆ CInputPin_Disconnect()

static long STDCALL CInputPin_Disconnect | ( | IPin * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_EndFlush()

static long STDCALL CInputPin_EndFlush | ( | IPin * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_EndOfStream()

static long STDCALL CInputPin_EndOfStream | ( | IPin * | This | ) |
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_EnumMediaTypes()

static long STDCALL CInputPin_EnumMediaTypes | ( | IPin * | This,
|  | IEnumMediaTypes ** | ppEnum )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_NewSegment()

static long STDCALL CInputPin_NewSegment | ( | IPin * | This,
|  | REFERENCE_TIME | tStart,
|  | REFERENCE_TIME | tStop,
|  | double | dRate )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_QueryAccept()

static long STDCALL CInputPin_QueryAccept | ( | IPin * | This,
|  | const AM_MEDIA_TYPE * | pmt )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_QueryDirection()

static long STDCALL CInputPin_QueryDirection | ( | IPin * | This,
|  | PIN_DIRECTION * | pPinDir )
| static

References Debug, and PINDIR_OUTPUT.

Referenced by CInputPinCreate().

## ◆ CInputPin_QueryId()

static long STDCALL CInputPin_QueryId | ( | IPin * | This,
|  | unsigned short ** | Id )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_QueryInterface()

static long STDCALL CInputPin_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | riid,
|  | void ** | ppvObject )
| static

Referenced by CInputPinCreate().

## ◆ CInputPin_QueryInternalConnections()

static long STDCALL CInputPin_QueryInternalConnections | ( | IPin * | This,
|  | IPin ** | apPin,
|  | unsigned long * | nPin )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_QueryPinInfo()

static long STDCALL CInputPin_QueryPinInfo | ( | IPin * | This,
|  | PIN_INFO * | pInfo )
| static

References _PinInfo::achName, IBaseFilter_vt::AddRef, Debug, _PinInfo::dir, _PinInfo::pFilter, PINDIR_OUTPUT, and _CBaseFilter::vt.

Referenced by CInputPinCreate().

## ◆ CInputPin_ReceiveConnection()

static long STDCALL CInputPin_ReceiveConnection | ( | IPin * | This,
|  | IPin * | pConnector,
|  | const AM_MEDIA_TYPE * | pmt )
| static

References Debug, and unimplemented().

Referenced by CInputPinCreate().

## ◆ CInputPin_Release()

static long STDCALL CInputPin_Release | ( | IUnknown * | This | ) |
| static

Referenced by CInputPinCreate().

## ◆ CInputPinCreate()

CInputPin * CInputPinCreate | ( | CBaseFilter * | p,
|  | const AM_MEDIA_TYPE * | amt )

References IPin_vt::AddRef, IPin_vt::BeginFlush, CInputPin_AddRef(), CInputPin_BeginFlush(), CInputPin_Connect(), CInputPin_ConnectedTo(), CInputPin_ConnectionMediaType(), CInputPin_Disconnect(), CInputPin_EndFlush(), CInputPin_EndOfStream(), CInputPin_EnumMediaTypes(), CInputPin_NewSegment(), CInputPin_QueryAccept(), CInputPin_QueryDirection(), CInputPin_QueryId(), CInputPin_QueryInterface(), CInputPin_QueryInternalConnections(), CInputPin_QueryPinInfo(), CInputPin_ReceiveConnection(), CInputPin_Release(), IPin_vt::Connect, IPin_vt::ConnectedTo, IPin_vt::ConnectionMediaType, IPin_vt::Disconnect, IPin_vt::EndFlush, IPin_vt::EndOfStream, IPin_vt::EnumMediaTypes, CInputPin::interfaces, IPin_vt::NewSegment, NULL, CInputPin::parent, IPin_vt::QueryAccept, IPin_vt::QueryDirection, IPin_vt::QueryId, IPin_vt::QueryInterface, IPin_vt::QueryInternalConnections, IPin_vt::QueryPinInfo, IPin_vt::ReceiveConnection, CInputPin::refcount, IPin_vt::Release, CInputPin::type, and CInputPin::vt.

Referenced by CBaseFilterCreate().

## ◆ CRemotePin2_AddRef()

static long STDCALL CRemotePin2_AddRef | ( | IUnknown * | This | ) |
| static

Referenced by CRemotePin2Create().

## ◆ CRemotePin2_Destroy()

static void CRemotePin2_Destroy | ( | CRemotePin2 * | This | ) |
| static

References Debug, and CRemotePin2::vt.

## ◆ CRemotePin2_QueryInterface()

static long STDCALL CRemotePin2_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | riid,
|  | void ** | ppvObject )
| static

Referenced by CRemotePin2Create().

## ◆ CRemotePin2_QueryPinInfo()

static long STDCALL CRemotePin2_QueryPinInfo | ( | IPin * | This,
|  | PIN_INFO * | pInfo )
| static

References _PinInfo::achName, IBaseFilter_vt::AddRef, Debug, _PinInfo::dir, _PinInfo::pFilter, PINDIR_OUTPUT, and _CBaseFilter2::vt.

Referenced by CRemotePin2Create().

## ◆ CRemotePin2_Release()

static long STDCALL CRemotePin2_Release | ( | IUnknown * | This | ) |
| static

Referenced by CRemotePin2Create().

## ◆ CRemotePin2Create()

CRemotePin2 * CRemotePin2Create | ( | CBaseFilter2 * | p | ) |

References IPin_vt::AddRef, CRemotePin2_AddRef(), CRemotePin2_QueryInterface(), CRemotePin2_QueryPinInfo(), CRemotePin2_Release(), Debug, CRemotePin2::interfaces, NULL, CRemotePin2::parent, IPin_vt::QueryInterface, IPin_vt::QueryPinInfo, CRemotePin2::refcount, IPin_vt::Release, and CRemotePin2::vt.

Referenced by CBaseFilter2Create().

## ◆ CRemotePin_AddRef()

static long STDCALL CRemotePin_AddRef | ( | IUnknown * | This | ) |
| static

Referenced by CRemotePinCreate().

## ◆ CRemotePin_ConnectedTo()

static long STDCALL CRemotePin_ConnectedTo | ( | IPin * | This,
|  | IPin ** | pPin )
| static

References IPin_vt::AddRef, Debug, and _IPin::vt.

Referenced by CRemotePinCreate().

## ◆ CRemotePin_ConnectionMediaType()

static long STDCALL CRemotePin_ConnectionMediaType | ( | IPin * | This,
|  | AM_MEDIA_TYPE * | pmt )
| static

References Debug, and unimplemented().

Referenced by CRemotePinCreate().

## ◆ CRemotePin_Destroy()

static void CRemotePin_Destroy | ( | CRemotePin * | This | ) |
| static

References Debug, and CRemotePin::vt.

## ◆ CRemotePin_QueryDirection()

static long STDCALL CRemotePin_QueryDirection | ( | IPin * | This,
|  | PIN_DIRECTION * | pPinDir )
| static

References Debug, and PINDIR_INPUT.

Referenced by CRemotePinCreate().

## ◆ CRemotePin_QueryInterface()

static long STDCALL CRemotePin_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | riid,
|  | void ** | ppvObject )
| static

Referenced by CRemotePinCreate().

## ◆ CRemotePin_QueryPinInfo()

static long STDCALL CRemotePin_QueryPinInfo | ( | IPin * | This,
|  | PIN_INFO * | pInfo )
| static

References _PinInfo::achName, IBaseFilter_vt::AddRef, Debug, _PinInfo::dir, _PinInfo::pFilter, PINDIR_INPUT, and _CBaseFilter::vt.

Referenced by CRemotePinCreate().

## ◆ CRemotePin_Release()

static long STDCALL CRemotePin_Release | ( | IUnknown * | This | ) |
| static

Referenced by CRemotePinCreate().

## ◆ CRemotePinCreate()

CRemotePin * CRemotePinCreate | ( | CBaseFilter * | pt,
|  | IPin * | rpin )

References IPin_vt::AddRef, IPin_vt::ConnectedTo, IPin_vt::ConnectionMediaType, CRemotePin_AddRef(), CRemotePin_ConnectedTo(), CRemotePin_ConnectionMediaType(), CRemotePin_QueryDirection(), CRemotePin_QueryInterface(), CRemotePin_QueryPinInfo(), CRemotePin_Release(), Debug, CRemotePin::interfaces, NULL, CRemotePin::parent, IPin_vt::QueryDirection, IPin_vt::QueryInterface, IPin_vt::QueryPinInfo, CRemotePin::refcount, IPin_vt::Release, CRemotePin::remote_pin, and CRemotePin::vt.

Referenced by CBaseFilterCreate().

## ◆ unimplemented()

static int unimplemented | ( | const char * | s,
|  | void * | p )
| inlinestatic

References Debug.

Referenced by CBaseFilter2_FindPin(), CBaseFilter2_GetClassID(), CBaseFilter2_GetState(), CBaseFilter2_GetSyncSource(), CBaseFilter2_JoinFilterGraph(), CBaseFilter2_Pause(), CBaseFilter2_QueryFilterInfo(), CBaseFilter2_QueryVendorInfo(), CBaseFilter2_Run(), CBaseFilter2_SetSyncSource(), CBaseFilter2_Stop(), CBaseFilter_FindPin(), CBaseFilter_GetClassID(), CBaseFilter_GetState(), CBaseFilter_GetSyncSource(), CBaseFilter_JoinFilterGraph(), CBaseFilter_Pause(), CBaseFilter_QueryFilterInfo(), CBaseFilter_QueryVendorInfo(), CBaseFilter_Run(), CBaseFilter_SetSyncSource(), CBaseFilter_Stop(), CEnumPins_Clone(), CEnumPins_Skip(), CInputPin_BeginFlush(), CInputPin_Connect(), CInputPin_ConnectedTo(), CInputPin_Disconnect(), CInputPin_EndFlush(), CInputPin_EndOfStream(), CInputPin_EnumMediaTypes(), CInputPin_NewSegment(), CInputPin_QueryAccept(), CInputPin_QueryId(), CInputPin_QueryInternalConnections(), CInputPin_ReceiveConnection(), and CRemotePin_ConnectionMediaType().

## Variable Documentation

## ◆ CBaseFilter2_interf1

GUID CBaseFilter2_interf1
| static

Initial value:
=
{0x76c61a30, 0xebe1, 0x11cf, {0x89, 0xf9, 0x00, 0xa0, 0xc9, 0x03, 0x49, 0xcb}}

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_interf2

GUID CBaseFilter2_interf2
| static

Initial value:
=
{0xaae7e4e2, 0x6388, 0x11d1, {0x8d, 0x93, 0x00, 0x60, 0x97, 0xc9, 0xa2, 0xb2}}

Referenced by CBaseFilter2Create().

## ◆ CBaseFilter2_interf3

GUID CBaseFilter2_interf3
| static

Initial value:
=
{0x02ef04dd, 0x7580, 0x11d1, {0xbe, 0xce, 0x00, 0xc0, 0x4f, 0xb6, 0xe9, 0x37}}

Referenced by CBaseFilter2Create().